import styled from 'styled-components'
import { th, override } from '@pubsweet/ui-toolkit'

const Page = styled.div`
  margin: 0 auto;
  max-width: 1000px;
  padding: 0 calc(${th('gridUnit')} * 4) calc(${th('gridUnit')} * 4);
`
const Header = styled.div`
  display: flex;
  align-items: center;
  justify-content: start;
`
const Center = styled.div`
  display: flex;
  flex-flow: column wrap;
  align-items: center;
  justify-content: center;
`
const A = styled.a`
  ${override('ui.Link')};
`
const B = styled.strong`
  font-weight: 600;
`
export { Page, Header, Center, A, B }
