import { css } from 'styled-components'
import { th } from '@pubsweet/ui-toolkit'

export default {
  Step: css`
    background-color: ${th('colorBorder')};
    border: 0;
  `,
  Separator: css`
    background-color: ${th('colorBorder')};
    height: 4px;
    border: 0;
  `,
  Bullet: css`
    background-color: ${th('colorFurniture')};
    width: calc(${th('gridUnit')} * 2);
    height: calc(${th('gridUnit')} * 2);
    border: 0;
    & + * {
      font-weight: 600;
    }
  `,
  Success: css`
    color: ${th('colorFurniture')};
    width: calc(${th('gridUnit')} * 2);
    height: calc(${th('gridUnit')} * 2);
    & + * {
      font-weight: 600;
    }
  `,
}
